variables:
  natures: []

  email-notification.recipients: ${recipe.maintainer|}
  email-notification.send-to-perpetrator?: false

  requires-display?: true

  shell.environment:
  - PKG_CONFIG_PATH="${toolkit.dir}/lib/pkgconfig:\${PKG_CONFIG_PATH}"
  - CMAKE_PREFIX_PATH="${toolkit.dir}/share:\${CMAKE_PREFIX_PATH}"
  - '@{next-value|[]}'
  environment.exports: |
    export ${shell.environment|[]}

  shell.command: |
    # setup environment (do not remove this comment!)
    @{environment.exports}

  build-job-name: ${project-name}-${version-name}-runnable-toolkit-${distribution-name}
  build-job.orchestrate?: ${next-value|false}
  build-job.tags:
  - '@{next-value|[]}'
  - runnable

aspects:
- name: runnable.shell/unix
  aspect: shell
  conditions:
    job.tags: unix
  variables:
    aspect.shell.command: ${shell.command}

- name: runnable.email-notification
  aspect: email-notification
  variables:
    aspect.email-notification.recipients: ${email-notification.recipients|}
    aspect.email-notification.send-to-perpetrator?: ${email-notification.send-to-perpetrator?}
